package net.wanji.opt.controllerv2.judgeanalysis.api.response;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class AreaProblemOverview extends ParentResult {

    private  List<EventAnalysisResultResponse> content;

    public  List<EventAnalysisResultResponse> getContent() {
        return content;
    }

    public AreaProblemOverview setContent( List<EventAnalysisResultResponse> content) {
        this.content = content;
        return this;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }

}

@Data
class  EventAnalysisResultResponse  {

    @ApiModelProperty(value = "问题类型编码 ",example = "1")
    private String eventCode;
    @ApiModelProperty(value = "问题类型描述",example = "路口拥堵")
    private String eventDesc;

    @ApiModelProperty(value = "问题数量",example = "1")
    private Integer number;

}




